Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.metadata
Class MessageListenerMetaData

    java.lang.Object
      org.jboss.resource.metadata.MessageListenerMetaData

All Implemented Interfaces:
  Serializable

public class MessageListenerMetaData
extends Object
implements Serializable

Message listener meta data

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock
See Also:
  Serialized Form

Constructor Summary
`MessageListenerMetaData()`

Method Summary
`void` | `addRequiredConfigProperty(RequiredConfigPropertyMetaData rcpmd)` Add a required config property
`String` | `getActivationSpecType()` Get the activation spec type
`Collection` | `getRequiredConfigProperties()` Get the required properties
`String` | `getType()` Get the message listener type
`void` | `setActivationSpecType(String type)` Set the activation spec type
`void` | `setType(String type)` Set the message listener type
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageListenerMetaData

    public MessageListenerMetaData()

Method Detail

### getType

    public String getType()

  Get the message listener type

  Returns:
    the message listener type

### setType

    public void setType(String type)

  Set the message listener type

  Parameters:
    `type` - the message listener type

### getActivationSpecType

    public String getActivationSpecType()

  Get the activation spec type

  Returns:
    the activation spec type

### setActivationSpecType

    public void setActivationSpecType(String type)

  Set the activation spec type

  Parameters:
    `type` - the activation spec type

### addRequiredConfigProperty

    public void addRequiredConfigProperty(RequiredConfigPropertyMetaData rcpmd)

  Add a required config property

  Parameters:
    `rcpmd` - the required config property

### getRequiredConfigProperties

    public Collection getRequiredConfigProperties()

  Get the required properties

  Returns:
    the required config properties

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.